## org.eclipse.datatools.sqltools.sqlbuilder.dialogs
Class MultilineInputDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sqlbuilder.dialogs.MultilineInputDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class MultilineInputDialog

extends org.eclipse.jface.dialogs.Dialog

A simple input dialog with a multi-line text control.

Author:
  jeremyl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`MultilineInputDialog(org.eclipse.swt.widgets.Shell parentShell, java.lang.String title, java.lang.String columnName)` Creates a dialog with a multi-line text box and a title.

Method Summary
`java.lang.String` `getText()` Gets the value from the multi-line text box.
`void` `setText(java.lang.String input)` Sets the value in the multi-line text box.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultilineInputDialog

    public MultilineInputDialog(org.eclipse.swt.widgets.Shell parentShell,
                                java.lang.String title,
                                java.lang.String columnName)

  Creates a dialog with a multi-line text box and a title.

  Parameters:
    `parentShell` -
    `title` -

Method Detail

### setText

    public void setText(java.lang.String input)

  Sets the value in the multi-line text box.

  Parameters:
    `input` - the text to pass into the dialog

### getText

    public java.lang.String getText()

  Gets the value from the multi-line text box.

  Returns:
    the text from the dialog